<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.yeejoin.amos.boot.module.common.api.mapper.SpecialPositionStaffMapper">

    <select id="getPositionStaffList"
            resultType="com.yeejoin.amos.boot.module.common.api.entity.SpecialPositionStaff">
        select distinct position_name, position_name_code
        from cb_special_position_staff
        where is_delete = #{isDelete}
    </select>
    <select id="getPositionStaffCodeList" resultType="java.lang.Long">
        select distinct position_name_code
        from cb_special_position_staff
        where is_delete = #{isDelete} and company_id = #{companyId}
    </select>
</mapper>
